
events { worker_connections 1024; }

http {
    server {
         listen      80;
        listen      [::]:80;
        server_name localhost;

        location /theme_service/ {
            proxy_pass http://theme_service:20001/;
            proxy_set_header Host $host;
            proxy_set_header X-Real-IP $remote_addr;
            proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
            proxy_set_header X-Forwarded-Proto $scheme;
        }

        location /book_service/ {
            proxy_pass http://book_service:20002/;
            proxy_set_header Host $host;
            proxy_set_header X-Real-IP $remote_addr;
            proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
            proxy_set_header X-Forwarded-Proto $scheme;
        }
    }
}
